NX Open C++ Reference Guide
|
Provides methods for managing constraints CAE::MeshPoint in a sim part. More...
Classes | |
class | iterator |
Iterator for accessing the contents of the collection. More... | |
Provides methods for managing constraints CAE::MeshPoint in a sim part.
To obtain an instance of this class, refer to CAE::FemPart
Created in NX5.0.2.
iterator NXOpen::CAE::MeshPointCollection::begin | ( | ) |
Returns an iterator addressing the first element.
NXOpen::CAE::MeshPointConicCenterBuilder* NXOpen::CAE::MeshPointCollection::CreateMeshpointConicCenterBuilder | ( | ) |
Creates a CAE::MeshPointConicCenterBuilder object.
@return
Created in NX5.0.2.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::MeshPointExistingPointBuilder* NXOpen::CAE::MeshPointCollection::CreateMeshpointExistingPointBuilder | ( | ) |
Creates a CAE::MeshPointExistingPointBuilder object.
@return
Created in NX5.0.2.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::MeshPointMultipleOnCurveBuilder* NXOpen::CAE::MeshPointCollection::CreateMeshpointMultipleOnCurveBuilder | ( | ) |
Creates a CAE::MeshPointMultipleOnCurveBuilder object.
@return
Created in NX5.0.2.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::MeshPointOnCurveBuilder* NXOpen::CAE::MeshPointCollection::CreateMeshpointOnCurveBuilder | ( | ) |
Creates a CAE::MeshPointOnCurveBuilder object.
@return
Created in NX5.0.2.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::MeshPointOnFaceBuilder* NXOpen::CAE::MeshPointCollection::CreateMeshpointOnFaceBuilder | ( | ) |
Creates a CAE::MeshPointOnFaceBuilder object.
@return
Created in NX5.0.2.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::MeshPointProjectBuilder* NXOpen::CAE::MeshPointCollection::CreateMeshpointProjectBuilder | ( | ) |
Creates a CAE::MeshPointProjectBuilder object.
@return
Created in NX5.0.2.
License requirements : nx_masterfem ("Finite Element Modeling")
iterator NXOpen::CAE::MeshPointCollection::end | ( | ) |
Returns an iterator addressing one past the last element.
NXOpen::CAE::MeshPoint* NXOpen::CAE::MeshPointCollection::FindObject | ( | const NXString & | journalIdentifier | ) |
Finds the CAE::MeshPoint with the given identifier as recorded in a journal.
An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals. An exception will be thrown if no object can be found with the given journal identifier. @return
Created in NX5.0.2.
License requirements : nx_masterfem ("Finite Element Modeling")
journalIdentifier | Identifier of the MeshPoint you want |
NXOpen::CAE::MeshPoint* NXOpen::CAE::MeshPointCollection::FindObject | ( | const char * | journalIdentifier | ) |
Finds the CAE::MeshPoint with the given identifier as recorded in a journal.
An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals. An exception will be thrown if no object can be found with the given journal identifier. @return
Created in NX5.0.2.
License requirements : nx_masterfem ("Finite Element Modeling")
journalIdentifier | Identifier of the MeshPoint you want |
tag_t NXOpen::CAE::MeshPointCollection::Tag | ( | ) | const |
Returns the tag of this object.